This repository contains the code used to analyse the data presented in the manuscript"Texture tomography, a versatile framework to study crystalline texture in 3D" by M. Frewein, J. Mason, B. Maier, H. Cölfen, A. Medjahed, M. Burghammer, M. Allain and T.A. Grünewald. 

The code presented can used to simulate a dataset and carry out a texture tomography inversion of the dataset. The same code was also used to work on the experimental data presented in the paper. 

The code is structured as follows:

An input template is created (input/input_simsample.py). In this file, the basic properties of the dataset are defined. 

The config.py file allows to control the computing behaviour and setting of paths for the computation.

step1_simulate_gaussian.py allows to simulate a 3Dvolume with gaussian distribution of the crystallites in the volume. 

step2_simulate_textom_data.py generates 2D diffraction patterns from projections on the sample simulated in step1.

step3_fit_simdata.py carries out the TexTOM inversion and export data for further analysis and visualization. 



A non-peer reviewed preprint of the manuscript describing the main features of TexTOM has been deposiited in ArXiv https://arxiv.org/html/2404.11195v1

This work is funded by the European Union, European Research Council H2020, TexTOM (grant no. 101041871). Views and opinions expressed are those of the author(s) only and do not necessarilhy reflect those of the European Union or the European Research Council. Neither the European Union nor the granting authority can be held responsible for them. 