fid = fopen('./output/overview.txt' ,'w');
fprintf(fid,'{\n');
% choose from these generators your crystal and sample rotation invariance

g1 = [0., 0., 0.]; % no rotation, any mirror, glide or rotation-inversion

g2z = [pi, 0., 0.]; % 2nd order rotation around [001]: 2, 2/m
g2p = [pi, pi/2, 0.]; % 2nd order rotation around [100]: _2, _2/m
g2d = [pi, pi/2, pi/4]; % 2nd order rotation around [110]

g3z = [2*pi/3, 0., 0.]; % 3rd order rotation around [001]: 3, 3/m
g3d = [2*pi/3, atan(sqrt(2)), pi/4]; % 3rd order rotation around [111]: _3

g4z = [pi/2, 0., 0.]; % 4th order rotation around [001]: 4, 4/m
g4p = [pi/2, pi/2, 0.]; % 4th order rotation around [100]: 4, 4/m

g6z = [pi/3, 0., 0.]; % 3rd order rotation around [001]: 6, 6/m

gfibz = [sqrt(2),0,0];

%% Point group rotation symmetries
% given in Hermann-Mauguin notation
g_2 =   [ g2p;  g1  ]; % 2, 2/m, mm2, -4
g_222 = [ g2z;  g2p ]; % 222, mmm, -42m
g_4 =   [ g4z;  g2z ]; % 4, 4/m % g2z is redundant (g1 is equivalent)
g_422 = [ g4z;  g2p ]; % 422, 4/mmm
g_3 =   [ g3z;  g1  ]; % 3, 3m1, 31m, -3, -6
g_321 = [ g3z;  g2d ]; % 321, 312, -31m, -3m1, -6m2
g_6 =   [ g6z;  g2z ]; % 6, 6/m, 6mm % g2z is redundant (g1 is equivalent)
g_622 = [ g6z;  g2p ]; % 622, 6/mmm
g_23 =  [ g2z;  g3d ]; % 23, -43m,  m-3
g_432 = [ g4z;  g4p ]; % 432, m-3m
g_432b = [ g4z;  g3d ]; % 432, m-3m % this is equivalent, but requires lower precision, e.g. 1.e-8
g_1 =   [ g1;   g1  ]; % 1, -1, m

%% %%%%%%%%%%%% none %%%%%%%%%%%%%
gcrystal = g_1; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = 'none';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 2, 2/m, mm2, -4 %%%%%%%%%%%%%%
gcrystal = g_2; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '2';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 222, mmm, -42m %%%%%%%%%%%%%%
gcrystal = g_222; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '222';
n_max = 40;
precision = 1.e-14;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 4, 4/m %%%%%%%%%%%%%%
gcrystal = g_4; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '4';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 422, 4/mmm %%%%%%%%%%%%%%
gcrystal = g_422; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '422';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 3, 3m1, 31m, -3, -6 %%%%%%%%%%%%%%
gcrystal = g_3; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '3';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 321, 312, -6m2, -31m, -3m1 %%%%%%%%%%%%%%
gcrystal = g_321; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '321';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 6, 6/m, 6mm %%%%%%%%%%%%%%
gcrystal = g_6; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '6';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 622, 6/mmm %%%%%%%%%%%%%%
gcrystal = g_622; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '622';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)
%% %%%%%%%%%%%% 23, -43m,  m-3 %%%%%%%%%%%%%%
gcrystal = g_23; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '23';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)

%% %%%%%%%%%%%% 432 %%%%%%%%%%%%%%
gcrystal = g_432; % rotation generators for crystal
gsample = g_1; % rotation generators for sample

name = '432';
n_max = 20;
precision = 1.e-12;
writeToFile(gcrystal,gsample,name,n_max,fid,precision)

%%
fprintf(fid,'}');
fclose(fid);